
Infrastructure - Support #2212

create virtual server for product releases

2012-01-12 02:22 - Matthew Jones

Status: Closed Start date: 2012-01-12

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.03-Block.1.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Subtasks:

Task # 2214: create releases.dataone.org DNS entry Closed

Task # 2213: create releases.dataone.org virtual hosts Closed

Task # 2215: Create a DNS entry ns.dataone.org Closed

Task # 2216: Create an apache virtual host for ns.dataone.org Closed

History

#1 - 2012-01-12 02:29 - Matthew Jones

Dave and I discussed the release process for DataONE products, and agreed that we would post releases on the DataONE site in a common virtual

host with a standard naming convention.  Each product that we release will be distributed as a tarred gzip file, and can alos be made available online

as well when it makes sense (e.g., for architecture documents, etc).  All releases will be on the virtual host releases.dataone.org, with the following

conventions:

For released packages, all packages will be under a 'dist' directory, and will be named using the product name and version number separated by

dashes, like this:

http://releases.dataone.org/dist/d1-architecture-1.0.0.tgz

http://releases.dataone.org/dist/d1-libclient-java-1.0.0.tgz

http://releases.dataone.org/dist/d1-common-java-1.0.0.tgz

When it makes sense to publish a resource online as well, it will be placed in an 'online' directory using the product name and version as the name of

the directory containing the released files, like this:

http://releases.dataone.org/online/d1-architecture-1.0.0

These URLs are the locations for releases, but do not preclude us from linking to these releases form other web pages, such as the DataONE web

site which might list software available.  But the download locations of the releases would remain on the 'releases.dataone.org' virtual host. 

#2 - 2012-01-12 02:30 - Matthew Jones

- Target version set to Sprint-2012.03-Block.1.2

- Position deleted (1)

- Position set to 1
http://releases.dataone.org/dist/d1-architecture-1.0.0.tgz
http://releases.dataone.org/dist/d1-libclient-java-1.0.0.tgz
http://releases.dataone.org/dist/d1-common-java-1.0.0.tgz
http://releases.dataone.org/online/d1-architecture-1.0.0


#3 - 2012-01-30 16:34 - Dave Vieglais

- Status changed from New to Closed

Capturing relevant notes to operations documentation.
